// testview.h : interface of the CTestView class
//
/////////////////////////////////////////////////////////////////////////////

//ID's of controls used
#define IDC_OUTLINE1	1
#define	IDC_OUTLINE2	2

class CTestView : public CView
{
protected: // create from serialization only
	CTestView();
	DECLARE_DYNCREATE(CTestView)

// Attributes
public:
	CTestDoc* 	GetDocument();
	
	HWND		hWnd1, hWnd2;
	HWND		ActiveWindow;
	HFONT		hFont1, hFont2;

// Operations
public:

// Implementation
public:
	virtual ~CTestView();
	virtual void OnInitialUpdate();
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:                 

	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);

// Generated message map functions
protected:
	//{{AFX_MSG(CTestView)
	afx_msg void OnSetFocus(CWnd* pOldWnd);
	afx_msg void OnGetStreamsize();
	afx_msg void OnGetStreamtext();
	afx_msg void OnSetStreamtext();
	afx_msg void OnGetMaxlevel();
	afx_msg void OnGetFont();
	afx_msg void OnFlush();
	afx_msg void OnDeleteItem();
	afx_msg void OnGetNodesize();
	afx_msg void OnGetNumnodes();
	afx_msg void OnGetNodetext();
	afx_msg void OnGotoTop();
	afx_msg void OnGoForward();
	afx_msg void OnGotoBottom();
	afx_msg void OnGoBackward();
	afx_msg void OnSetNodetext();
	afx_msg void OnSetFont();
	afx_msg void OnSetMaxlevel();
	afx_msg void OnAddItem();
	afx_msg void OnInsert();
	afx_msg void OnIndentIn();
	afx_msg void OnIndentOut();
	afx_msg void OnUpdateGetFont(CCmdUI* pCmdUI);
	afx_msg void OnUpdateEditUndo(CCmdUI* pCmdUI);
	afx_msg void OnEditUndo();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnStyle();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in testview.cpp
inline CTestDoc* CTestView::GetDocument()
   { return (CTestDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
